import { NgModule } from '@angular/core';

import { GitSearchV2SharedModule } from 'app/shared/shared.module';
import { ExerciseCardComponent } from './exercise-card/exercise-card.component';
import { ExerciseDetailsComponent } from './exercise-details/exercise-details.component';
import { ExerciseMetadataComponent } from './exercise-details/exercise-metadata/exercise-metadata.component';
import { ExerciseMetadataItemComponent } from './exercise-details/exercise-metadata/exercise-metadata-item/exercise-metadata-item.component';
import { MarkdownModule, MarkedOptions } from 'ngx-markdown';
import { MarkDownViewerComponent } from '../exercise/markDownViewer/markDownViewer.component';

@NgModule({
  imports: [GitSearchV2SharedModule, MarkdownModule.forRoot({
  markedOptions: {
    provide: MarkedOptions,
    useValue: {
      gfm: true,
      breaks: false,
      pedantic: false,
      smartLists: true,
      smartypants: true,
      xhtml: true,
    },
  },
}),],
  declarations: [ExerciseCardComponent, ExerciseDetailsComponent, ExerciseMetadataComponent, ExerciseMetadataItemComponent, MarkDownViewerComponent],
  exports: [ExerciseCardComponent, ExerciseDetailsComponent],
})
export class ExerciseModule {}
